Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Paul Mackerras <[email-masked]>
Date: Thu, 12 Aug 1999 09:52:31 +1000

Jes Sorensen <[email-masked]> wrote:

> I will have to disagree with you on this one, I consider the PPC
> implementation to be very broken in this regard.

"Very broken" - because drivers work and there is no measurable
performance impact?? !!! ??

The only possible argument for *not* having the eieio in readl/writel
is that it hurts performance (actually and measurably, not just
potentially).

Paul.

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]